ATD(8)

NAZWA
atd - uruchamia zadania kolejkowane do późniejszego wykonania

SKŁADNIA
atd [-l load_avg] [-b batch_interval] [-d] [-f] [-s]

OPIS
atd uruchamia zadania kolejkowane przez at(1).

OPCJE

-l  Określa ograniczenie wskaźnika obciążenia (load factor), powyżej którego zadania wsadowe nie powinny być uruchamiane, zamiast używania wbudowanego wskaźnika 0.8. Dla systemów SMP mających n procesorów, zapewne wskaźnik ten powinien zostać ustawiony na wartość większą od n-1.

-b  Określa minimalny odstęp w sekundach pomiędzy startem dwu zadań wsadowych (domyślnie 60).

-d  Tryb debugowania. Wyświetla komunikaty o błędach na standardowe wyjście błędów zamiast wykorzystywania syslog(3). Ta opcja włącza również -f.

-f  Uruchamia atd jako proces pierwszoplanowy.

-s  Przetwarza kolejkę at/batch tylko jednokrotnie. Służy głównie do uzyskania zgodności ze starszymi wersjami at; atd -s jest odpowiednikiem starego polecenia atrun.

OSTRZEŻENIE
atd nie będzie działać, jeśli katalog do przechowywania wyników jest zamontowany przez NFS, nawet jeżeli opcja no_root_squash NFS-u jest ustawiona.

PLIKI
/var/spool/atd Katalog przechowujący zadania, powinien mieć uprawnienia dostępu równe "700", a jego właścicielem powinien być "daemon".

/var/spool/atd Katalog przechowujący wyniki (wyjście), powinien mieć uprawnienia dostępu równe "700", a jego właścicielem powinien być "daemon".

/etc/at.allow, /etc/at.deny Określają, kto może używać systemu at.

ZOBACZ TAKŻE
at(1), at.deny(5), at.allow(5), cron(8), crontab(1), syslog(3).

BŁĘDY
Funkcjonalność atd powinna być wcielona do cron(8).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Robert Luberda <robert@debian.org> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.